eventstat (0.04.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: remove uploaders field
  * Rename clock_tick_rate to g_clock_tick_rate
  * Make get_events_buf local
  * Copyright: update to 2021

 -- Colin King <colin.king@canonical.com>  Thu, 29 Apr 2021 09:21:55 +0100

eventstat (0.04.11-1) unstable; urgency=medium

  * Makefile: bump version
  * handle case where comm field contains ) and spaces
  * snapcraft: replace version-script with an override

 -- Colin King <colin.king@canonical.com>  Sat, 7 Nov 2020 17:17:12 +0000

eventstat (0.04.10-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update compat to 13, remove compat file,
    add Rules-Requires-Root no rule
  * zero ws struct to clear static analysis warnings

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 10:46:24 +0000

eventstat (0.04.09-1) unstable; urgency=medium

  * Makefile: bump version
  * Add bash completion script
  * Update copyright to 2020

 -- Colin King <colin.king@canonical.com>  Tue, 25 Feb 2020 23:53:22 +0000

eventstat (0.04.08-1) unstable; urgency=medium

  * Add UNLIKELY hinting on memory allocation failure checks
  * check for failed allocation of comm field
  * Add null check on failed allocation of comm field
  * Add null check on return of ctime
  * Don't strdup basename return but strdup base string
  * Fix inverted null check logic on comm field
  * Add null check on localtime return
  * check that basename returns a non-null string
  * fix out of memory allocation failure check
  * eventstat: fix '\n' check on string (null ptr dereference)
  * eventstat: use comm field for task name rather than task info field

 -- Colin King <colin.king@canonical.com>  Mon, 16 Dec 2019 11:11:11 +0000

eventstat (0.04.07-1) unstable; urgency=medium

  * Makefile: bump version
  * Update compat to level 12
  * snap: clean up Makefile
  * snap: makefile: remove versioning magic
  * snapcraft: make versioning automatic

 -- Colin King <colin.king@canonical.com>  Mon, 12 Aug 2019 16:30:11 +0100

eventstat (0.04.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Reduce scope of variable ticks
  * Remove unused assignments
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Tue, 9 Jul 2019 23:43:24 +0100

eventstat (0.04.05-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add .travis.yml file to dist rule
  * Makefile: rename snapcraft to snap in make dist rule
  * Add in some missing voidifications on function returns
  * Make task_mangled large enough to avoid truncation
  * Re-order some fields in timer_info to pack more efficiently
  * Rename snapcraft directory to snap
  * Add travis build yaml file

 -- Colin King <colin.king@canonical.com>  Wed, 24 Oct 2018 09:40:01 +0100

eventstat (0.04.04-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/copyright: use secure url https:// etc
  * debian/control: remove trailing empty line
  * Fix -b brief mode headings
  * Ensure we have at least 1 task accounted for
  * Add CPU load, real time priority and niceness fields
  * Add fast check if we are inside a container

 -- Colin King <colin.king@canonical.com>  Wed, 13 Jun 2018 16:13:12 +0100

eventstat (0.04.03-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update debhelper version
  * Update debian/compat to 10
  * debian/rules: remove trailing whitespace, cleans up lintian warning
  * debian/control: update Standards-Version to 4.1.2, remove some whitespace
  * re-format some overly wide source lines
  * Don't force wide display unless long mode is used
  * eventstat: add some more UNLIKELY/LIKELY annotations
  * Update copyright dates

 -- Colin King <colin.king@canonical.com>  Thu, 1 Feb 2018 10:03:05 +0000

eventstat (0.04.02-1) unstable; urgency=medium

  * Makefile: bump version
  * Iterate over arrays using size of array rather than using
    sentinels at end of array
  * Remove empty lines
  * Voidify returns from various functions
  * Add some UNLIKELY/LIKELY branch hinting
  * debian/control: update Standards-Version to 4.1.1
  * Prefix all globals with g_ to notify scope
  * Use sizeof object rather than size of type
  * Remove whitespace from source

 -- Colin King <colin.king@canonical.com>  Wed, 18 Oct 2017 22:04:12 +0100

eventstat (0.04.01-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove unused variable fields
  * Fix -c cumulative stats
  * Make column sizing more intelligent
  * snapcraft: Makefile: set LC_ALL=C.UTF-8 LANG=C.UTF-8
  * Add back ref_count reference counting which was accidentally removed
  * Compute column width correctly with -i mode being used
  * Make source more 80 column friendly
  * Use double_to_timeval instead of time coversion
  * Minor code clean up, no functional changes
  * Fix non-root failure message
  * Break out of trace reading loop on SIGINT
  * Add -i timer ID information mode
  * Add libncurses5-dev to snapcraft build dependencies

 -- Colin King <colin.king@canonical.com>  Wed, 16 Aug 2017 18:48:43 +0100

eventstat (0.04.00-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update Standards-Version to 4.0.0
  * Update manual
  * Fix reversed order sample list, put data on tail instead of head
  * Add back functioning -S option now that stats look sane
  * Fake initial previous time event on first event.
  * Remove whence debug info
  * Eventstat: use event tracing rather than the older deprecated
    /proc/timer_stats interface (LP: #1705472)
  * Make symlink to snapcraft file
  * Snapcraft: add default type and grade keys to yaml

 -- Colin King <colin.king@canonical.com>  Mon, 14 Aug 2017 19:47:14 +0100

eventstat (0.03.04-1) unstable; urgency=medium

  * Makefile: bump version
  * Add GNU C printf attribute to err_abort
  * Makefile: add snapcraft files to make dist rule
  * Add variable pid size handling.
  * Add snapcraft files
  * Update copyright year
  * Fix non-ANSI declaration of functions eventstat_winsize
    and eventstat_refresh

 -- Colin King <colin.king@canonical.com>  Fri, 14 Apr 2017 16:38:32 +0100

eventstat (0.03.03-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix FLOAT_CMP macro - need fabs on result
  * Remove sdl declarations to fix sdl shadowing
  * constify info1, info2
  * Move scope of duration, removes shadowing of this variable
  * Allow floating point comparisons a little bit of tiny slop
  * Add stdarg.h header
  * use gnu printf style attributes for es_printf
  * Makefile: add PEDANTIC flags

 -- Colin King <colin.king@canonical.com>  Wed, 2 Nov 2016 09:12:11 +0100

eventstat (0.03.02-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update Standards-Version to 3.9.8

 -- Colin King <colin.king@canonical.com>  Thu, 5 May 2016 13:19:39 +0100

eventstat (0.03.01-1) unstable; urgency=medium

  * Makefile: bump version
  * Update manual to reflect -l -s mode on tty output
  * Show long or short command line info in tty output and not just in CSV
  * Add smart column resizing based on variable tty width
  * Add some small ncurses helpers for top only mode
  * Clean up -h info, make it 80 column friendly
  * Remove a few empty lines in source
  * Re-align global vars so there is less wasted padding
  * Make source 80 column friendly
  * es_printf: emit curses output if curses_init is true
  * Reformat overly long function declarations
  * Minor code improvement in set_timer_stat
  * check for failed sigaction on SIGWINCH
  * Improve error handling with some error message and clean up helpers
  * Call endwin() only in top mode

 -- Colin King <colin.king@canonical.com>  Thu, 11 Feb 2016 11:09:11 +0000

eventstat (0.03.00-1) unstable; urgency=medium

  * Makefile: bump version
  * reduce scope of buf in es_printf
  * Fix spacing in cumulative mode, missing space after count and before pid
  * Add 'T' option, 'top' mode
  * Update copyright year to 2016

 -- Colin King <colin.king@canonical.com>  Thu, 11 Feb 2016 01:12:34 +0000

eventstat (0.02.02-1) unstable; urgency=medium

  * fix segfault when removing stale timer stats (LP: #1496900)
  * Makefile: bump version
  * Debian: update compat to 9
  * Debian: control, update debhelper dependency on version 9
  * remove duplicate initialisation to ts from timer_stats hash
  * Don't initialise duration, it is set later on

 -- Colin King <colin.king@canonical.com>  Thu, 17 Sep 2015 16:14:17 +0100

eventstat (0.02.01-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: Use -O2 optimisation level
  * Reduce scope of variable i
  * Shorten hash ident string, we only require so much to hash on
  * Signed-off-by: Colin Ian King <colin.king@canonical.com>
  * Minor code clean up
  * Replace generic lists with type specific lists
  * Move __attribute__ ((noreturn))

 -- Colin King <colin.king@canonical.com>  Fri, 31 Jul 2015 00:00:09 +0100

eventstat (0.02.00-1) unstable; urgency=medium

  * Makefile: bump version to 0.02.00
  * Re-order man page options into alphabetical order
  * Add -w "whence" timestamp row option
  * Add time column to CSV output

 -- Colin King <colin.king@canonical.com>  Thu, 9 Jul 2015 21:33:00 +0100

eventstat (0.01.37-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix repeaped prev pointer not advancing
  * Fix resource leak on file descriptor on error exit path
  * Add auto-purge of old state timer stats to stop memory growth
  * Speed up reading and parsing of the timer stat data
  * Add some performance optimisations, better hashing and heap management
  * Make hash ident a few bytes smaller for marginal compare speedup
  * Replace hash function with one that is 3.3x faster
  * Fix hash chain growth by comparing with ident rather than an NULL field
  * Free cmdline on mask check continue path
  * Remove SIGSEGV from trapped signals list
  * constify a few more variables
  * Fix memory leak on cmdline, found by CoverityScan
  * Improve kernel thread detection on unmodified task name (LP: #1467932)
  * Compare process hashes based on original process name

 -- Colin King <colin.king@canonical.com>  Thu, 25 Jun 2015 16:51:00 +0100

eventstat (0.01.36-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update date
  * Remove signal handlers for SIGBUS, SIGABRT, SIGILL
  * Makefile: add copyright

 -- Colin King <colin.king@canonical.com>  Mon, 18 May 2015 18:22:00 +0100

eventstat (0.01.35-1) unstable; urgency=medium

  * Makefile: bump version again
  * Fix the per sample time delta calculations

 -- Colin King <colin.king@canonical.com>  Thu, 12 Feb 2015 20:24:00 +0000

eventstat (0.01.34-1) unstable; urgency=medium

  * Makefile: bump version
  * Update copyright to manual
  * Update debian/copyright
  * Update copyright in source
  * Clarify calculation precedence for '&' and '?'
  * Handle time deltas more exactly, this is required of eventstat is suspended.

 -- Colin King <colin.king@canonical.com>  Thu, 12 Feb 2015 19:36:00 +0000

eventstat (0.01.33-1) unstable; urgency=medium

  * Makefile: bump version
  * Update standards version
  * Use suseconds_t for nsec conversions
  * Using stdint int types
  * Change TIMER_STATS to proc_timer_stats static const string
  * Add better signal handling; clear timer stat setting and bail out
  * Add whitespace in hash function
  * Make APP_NAME a const string and rename to app_name
  * Use strncmp where possible
  * Add more error checking on gettimeofday
  * Fix up some overly long lines
  * Check for scanf failure
  * Ignore returns from close, fclose

 -- Colin King <colin.king@canonical.com>  Fri, 19 Dec 2014 12:16:00 +0000

eventstat (0.01.32-1) unstable; urgency=low

  * Makefile: bump version
  * Handle overflow/underflow invalid values for count arg
  * Handle overflow/underflow invalid values for -n option
  * Handle bad options with help and exit failure

 -- Colin King <colin.king@canonical.com>  Sun, 18 May 2014 23:59:49 +0100

eventstat (0.01.31-1) unstable; urgency=low

  * Makefile: bump version
  * Makefile: Fix make dist, use plain old tar to omit debian contents
  * Fix copyright
  * Add COPYING file

 -- Colin King <colin.king@canonical.com>  Thu, 20 Mar 2014 13:22:31 +0000

eventstat (0.01.30-1) unstable; urgency=low

  * Makefile: bump version
  * Avoid some potential event overflows
  * Reduce scope on some variables

 -- Colin King <colin.king@canonical.com>  Fri, 14 Mar 2014 09:08:12 +0000

eventstat (0.01.29-1) unstable; urgency=low

  * Makefile: bump version
  * debian control: update standards version
  * Add -u and -k options
  * Add the -b brief output option

 -- Colin King <colin.king@canonical.com>  Tue, 21 Jan 2014 11:01:00 +0000

eventstat (0.01.28-1) unstable; urgency=low

  * Makefile: bump version
  * Update copyright year
  * Makefile: add -Wextra
  * Simplify kernel thread detection for the common path

 -- Colin King <colin.king@canonical.com>  Tue, 7 Jan 2014 17:10:00 +0000

eventstat (0.01.27-1) unstable; urgency=low

  * Makefile: bump version
  * eventstat: fix kernel thread detection issue (LP: #1226787)

 -- Colin King <colin.king@canonical.com>  Thu, 19 Sep 2013 16:05:06 +0100

eventstat (0.01.26-1) unstable; urgency=low

  * Makefile: bump version
  * eventstat: fix comment typo

 -- Colin King <colin.king@canonical.com>  Thu, 29 Aug 2013 11:37:03 +0100

eventstat (0.01.25-1) unstable; urgency=low

  * eventstat: work around proc info containerisation restrictions
  * eventstat.c: Add -d to short help info

 -- Colin King <colin.king@canonical.com>  Wed, 26 Jun 2013 18:06:12 +0100

eventstat (0.01.24-1) unstable; urgency=low

  * Makefile: bump version
  * eventstat.c: make hash table much larger
  * eventstat.c: make more functions static
  * eventstat.c: ensure initial info total is set to the count and not zero

 -- Colin King <colin.king@canonical.com>  Tue, 25 Jun 2013 17:12:48 +0100

eventstat (0.01.23-1) unstable; urgency=low

  * Makefile: bump version
  * eventstat.c: cater for -ve time if somebody suspended the process
  * eventstat.c: handle zero duration corner case
  * eventstat.c: remove 'N' new field, it's not helpful
  * eventstat.c: remove debug
  * eventstat.c: fix stats on SIGINT and missing first stats issue

 -- Colin King <colin.king@canonical.com>  Mon, 24 Jun 2013 18:13:22 +0100

eventstat (0.01.22-1) unstable; urgency=low

  * Makefile: bump version
  * eventstat: fix a fd leak on read fail error path

 -- Colin King <colin.king@canonical.com>  Tue, 7 May 2013 15:36:22 +0100

eventstat (0.01.21-1) unstable; urgency=low

  * Makefile: bump version
  * eventstat: handle_sigint: cast to void unused dummy parameter
  * eventstat: samples_dump - make i size_t since we compare it to n
  * eventstat: put inline at start of sample_find declaration
  * eventstat: update copyright year
  * eventstat: fix order of calloc() args.
  * eventstat: more code clean ups:
  * eventstat: line up #defines
  * eventstat: fix some whitespacing in for loops
  * eventstat: update -h help information
  * evenstat.8: update man page with new -S -C options
  * Makefile: Add math linking now that we are using sqrt()
  * eventstat: extra features for the CSV output.
  * eventstat.8: add more description of the CSV output format
  * eventstat.8: update man page with new -d option
  * eventstat: add -d option to strip off directory name from task name
  * eventstat: truncate short -s proc name when we find a space

 -- Colin King <colin.king@canonical.com>  Fri, 5 Apr 2013 10:49:32 +0100

eventstat (0.01.20-1) unstable; urgency=low

  * Makefile: bump version
  * eventstat: ensure we don't fall off end of buffer
  * evenstat.8: add -s -l options to man page
  * eventstat: Add /proc/pid/cmdline process info in CSV output
  * eventstat.8: ensure - sign is escaped in manual

 -- Colin King <colin.king@canonical.com>  Tue, 2 Apr 2013 15:13:00 +0100

eventstat (0.01.19-1) unstable; urgency=low

  * Makefile: bump version
  * eventstat: make set_timer_stat conditionally complain if it fails
  * eventstat: remove need for PATH_MAX, replace with suitable size
  * debian: control: set Architecture to just linux-any
  * eventstat: ensure all exits tidy up by setting the timer stat to 0
  * eventstat: exit with EXIT_FAILURE rather than 1
  * eventstat: handle failed calloc on timer stat tables

 -- Colin King <colin.king@canonical.com>  Tue, 19 Feb 2013 22:04:06 +0000

eventstat (0.01.18-1) unstable; urgency=low

  * Makefile: bump version
  * Makefile: include CFLAGS and LDFLAGS into CC line
  * debian: rules: force dh_ to apply flags during make phase
  * Remove unwanted debian/powerstat.install

 -- Colin King <colin.king@canonical.com>  Tue, 19 Feb 2013 12:04:06 +0000

eventstat (0.01.17-1) unstable; urgency=low

  * Update version in Makefile
  * debian: control: update Standards-Version to 3.9.4

 -- Colin King <colin.king@canonical.com>  Mon, 18 Feb 2013 16:55:24 +0000

eventstat (0.01.16-1) unstable; urgency=low

  * Bump version, add version number to eventstat
  * Update and tidyup show_usage
  * Add cumulative events reporting instead of events per second
  * Increase the hash table size, reduce the collisions.
  * Ignore zero events
  * Show kernel threads names in [ ] brackets

 -- Colin King <colin.king@canonical.com>  Mon, 18 Feb 2013 16:40:21 +0000

eventstat (0.01.15-1) unstable; urgency=low

  * Initial Debian release (Closes: #678277)

 -- Colin King <colin.king@canonical.com>  Wed, 20 Jun 2012 15:43:28 +0100

eventstat (0.01.14-1) unstable; urgency=low

  * Update version
  * Fix debian/control Description lintian warning
  * Remove -lm from Makefile - not needed

 -- Colin King <colin.king@canonical.com>  Wed, 20 Jun 2012 14:10:15 +0100

eventstat (0.01.13-1) unstable; urgency=low

  * Update version number in Makefile
  * Fix debian copyright lintian errors
  * Add some more comments, fix trailing whitespaces
  * Update source copyright year
  * Update copyright year
  * Update debian/copyright

 -- Colin King <colin.king@canonical.com>  Thu, 14 Jun 2012 10:40:23 +0100

eventstat (0.01.12-1) unstable; urgency=low

  * Updated version
  * Add in project homepage
  * Update manpage section and date
  * Update copyright URL
  * Make description more litian friendly
  * fix typo on debian/watch

 -- Colin King <colin.king@canonical.com>  Wed, 13 Jun 2012 19:18:31 +0100

eventstat (0.01.11-1) unstable; urgency=low

  * Update version in Makefile
  * Add debian/watch file
  * Update Maintainer field and add Kamal Mostafa as an Uploader

 -- Colin King <colin.king@canonical.com>  Tue, 12 Jun 2012 18:51:34 +0100

eventstat (0.01.10-1) unstable; urgency=low

  * Add dist rule to Makefile
  * Add debian/source/format
  * debian: control: update Standards-Version to 3.9.3
  * debian: control: fix Section
  * debian: control: fix Description
  * Remove more timer_stat_dump cruft

 -- Colin King <colin.king@canonical.com>  Tue, 12 Jun 2012 16:56:23 +0100

eventstat (0.01.09) precise; urgency=low

  * Remove timer_stat_dump cruft
  * Name callback correctly, update field headings

 -- Colin King <colin.king@canonical.com>  Wed, 28 Dec 2011 13:21:00 +0000

eventstat (0.01.08) precise; urgency=low

  * Tidy up lists

 -- Colin King <colin.king@canonical.com>  Tue, 27 Dec 2011 11:54:00 +0000

eventstat (0.01.07) precise; urgency=low

  * Add in list init calls

 -- Colin King <colin.king@canonical.com>  Mon, 26 Dec 2011 10:16:00 +0000

eventstat (0.01.06) precise; urgency=low

  * fix cut and paste error in man page

 -- Colin King <colin.king@canonical.com>  Fri, 23 Dec 2011 20:36:00 +0000

eventstat (0.01.05) precise; urgency=low

  * Add -q quiet option

 -- Colin King <colin.king@canonical.com>  Tue, 20 Dec 2011 00:43:00 +0000

eventstat (0.01.04) precise; urgency=low

  * Output events per second in .csv results
  * Add -t threshold option
  * Convert to use generic lists, phase 2
  * Introduce generic lists

 -- Colin King <colin.king@canonical.com>  Mon, 19 Dec 2011 10:40:00 +0000

eventstat (0.01.03) precise; urgency=low

  * Stop on SIGINT, handle timing more accurately

 -- Colin King <colin.king@canonical.com>  Sun, 18 Dec 2011 17:35:00 +0000

eventstat (0.01.02) precise; urgency=low

  * Dump out samples into a CSV file with -r option
  * Add timer info cache, more memory efficient
  * Add help option
  * Add -n option
  * Fix count error message.

 -- Colin King <colin.king@canonical.com>  Sun, 18 Dec 2011 17:11:00 +0000

eventstat (0.01.01) precise; urgency=low

  * Remove trailing ws
  * Ensure we write to timer_stats correctly

 -- Colin King <colin.king@canonical.com>  Sat, 17 Dec 2011 21:29:00 +0000

eventstat (0.01.00) precise; urgency=low

  * Initial version

 -- Colin King <colin.king@canonical.com>  Sat, 17 Dec 2011 20:44:00 +0000
